# v_flutter

A new flutter plugin project.

## Getting Started

This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

## 引入

`import 'package:v_flutter/v_flutter.dart';`

### Toast(方法)

`VToast( context: context, message: "这是提示信息", position: ToastPosition.CENTER, duration: Duration(milliseconds: 3000), );`

### Confirm(方法)

`VConfirm( context: context, message: "这是提示信息", title: "标题", cancelText: "取消", confirmText: "确认", onCancel: () { print("onCancel"); }, onConfirm: () { print("onConfirm"); }, );`

### Confirm(方法)

`VCalendar(context: context, type: 1);`

### Loading(方法)

`VLoading loaingView = VLoading( context: context, msg: "载入中", canceledOnTouchOutside: true, ); loaingView.close();`

### Picker(方法)

`VPicker( context: context, onConfirm: (value) { print(value); }, options: [ {"label": "成都", "value": "1"}, {"label": "重庆", "value": "2"}, {"label": "德阳", "value": "3"}, {"label": "自贡", "value": "4"}, {"label": "南充", "value": "5"}, {"label": "遂宁", "value": "6"}, ], );`

### Rate(组件)

`VRate( value: 0, count: 5, onChange: (value) { print(value); }, ),`

components plan
1.Toast 添加 icon，设置 icon 位置；
2.Loading
3.Progress (进度条)
4.Slider (拖动进度)
5.Switch (开关)
6.Radio (单选)
7.CheckBox (多选)
8.Calendar (开关)
9.Upload (上传)
10.BottomSheet (底部弹出)
11.Tooltip (提示)
